/********************************************************************
	created:	2003/02/14
	created:	14:2:2003   17:49
	file name:	dhkeygentest.h
	author:		Yubo
	
	purpose:	Test DH key pair generate and derive a security key!
*********************************************************************/


#if !defined _DHKEYGENTEST_H_
#define _DHKEYGENTEST_H_

#include "BaseAll.h"

class DHKeyGenTest:public CBaseAll
{
public:
	DHKeyGenTest(char* dll_file_path);
	virtual ~DHKeyGenTest();
	void DHKeyTest(void);

};

#endif // _DHKEYGENTEST_H_
